Bug 840374 - Review Request: kalapi-fonts - OpenType sanserif font for Gujarati script
Review Request: kalapi-fonts - OpenType sanserif font for Gujarati script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-16 03:11 EDT by Pravin Satpute
Modified: 2012-08-27 19:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 05:22:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Parag AN(पराग) 2012-07-17 12:36:16 EDT
Review:
+ koji scratch build ->http://koji.fedoraproject.org/koji/taskinfo?taskID=4242812

+ rpmlint on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha1sum)
4ed99a48f95abfccad7e60d04cdc47d36220fa3b  font-kalapi-0.1.tar.gz
4ed99a48f95abfccad7e60d04cdc47d36220fa3b  ../SOURCES/font-kalapi-0.1.tar.gz

+ License is OFL.

+ Follows packaging guidelines.

suggestions:
  1) I suggest to drop foundry name used as gujaratilexicon considering policy
The foundryname- prefix can optionally be skipped:
   * for entities that never released more than one font family

2) cp commands should preserve timestamp by using it as "cp -p"

APPROVED.
Comment 2 Pravin Satpute 2012-07-20 07:32:21 EDT
Thanks parag for review and comments for improvement. I have updated spec and srpm.

updated srpm: http://pravins.fedorapeople.org/kalapi-fonts-0.1-2.fc17.src.rpm
updated spec: http://pravins.fedorapeople.org/kalapi-fonts.spec
Comment 3 Pravin Satpute 2012-07-20 07:39:56 EDT
New Package SCM Request
=======================
Package Name: kalapi-fonts
Short Description: OpenType sanserif font for Gujarati script
Owners: pravins
Branches: f17
InitialCC: i18n-team
Comment 4 Gwyn Ciesla 2012-07-23 09:22:42 EDT
Git done (by process-git-requests).
Comment 5 Pravin Satpute 2012-07-24 01:08:27 EDT
Thanks Jon for Git.

I have suggested upstream to enhance font name littlebit https://github.com/gujaratilexicon/font-kalapi/issues/3

Once that done will build it for rawhide.
Comment 9 Fedora Update System 2012-07-27 06:30:25 EDT
kalapi-fonts-0.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kalapi-fonts-0.1-2.fc17
Comment 10 Fedora Update System 2012-08-27 19:00:11 EDT
kalapi-fonts-0.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.